<?php
namespace Vimeo;

return [
    'view_manager' => [
        'template_path_stack' => [
            dirname(__DIR__) . '/view',
        ]
    ],
	'block_layouts' => [
        'factories' => [
            'vimeo' => Service\BlockLayout\VimeoFactory::class,
        ],
    ],
    'form_elements' => [
        'invokables' => [
            Form\VimeoBlockForm::class => Form\VimeoBlockForm::class,
        ],
    ],
    'media_ingesters' => [
        'factories' => [
            'Vimeo_media' => Service\Media\Ingester\VimeoMediaFactory::class,
        ],
    ],
    'media_renderers' => [
        'invokables' => [
            'Vimeo_media' => Media\Renderer\VimeoMediaRenderer::class,
        ],
    ],
    'DefaultSettings' => [
        'VimeoBlockForm' => [
            'title' => '',
            'renderSourceLink' => true,
            'width' => 600,
            'ratio' => '2',
            'wrapStyle' => 'overflow-y: hidden;display: flex;flex-direction: column;justify-content: center;',
        ]
    ]
];
